Get Traffic Source by ID
curl --request GET \
--url https://api.eflow.team/v1/networks/trafficsource/{trafficSourceId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/trafficsource/{trafficSourceId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/trafficsource/{trafficSourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_traffic_source_id": 1,
"network_id": 1,
"name": "test",
"postback_url": "https://www.testpostback.com",
"time_created": 1774721376,
"time_saved": 1774721376,
"relationship": {
"parameters": {
"total": 2,
"entries": [
{
"network_traffic_source_id": 1,
"network_id": 1,
"tracking_parameter": "param1",
"tracking_value": "value1"
},
{
"network_traffic_source_id": 1,
"network_id": 1,
"tracking_parameter": "param2",
"tracking_value": "value2"
}
]
}
},
"is_public": false
}Traffic Sources
Get Traffic Source by ID
Retrieve a single traffic source by its ID.
GET
/
networks
/
trafficsource
/
{trafficSourceId}
Get Traffic Source by ID
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The ID of the traffic source.
Response
200 - application/json
Unique traffic source ID.
Network ID.
Name of the traffic source.
Postback URL for this traffic source.
Unix timestamp of creation.
Example:
1734455015
Unix timestamp of last update.
Example:
1734455015
Show child attributes
Show child attributes
When true, affiliates can select this traffic source when generating tracking links.
Was this page helpful?
⌘I
